Bug 805713 - Pulp fails to generate metadata for a repo with a filter the second time it gets promoted
Pulp fails to generate metadata for a repo with a filter the second time it g...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: --
Assigned To: Mike McCune
Og Maciel
: Triaged
Depends On:
Blocks: 805740
  Show dependency treegraph
 
Reported: 2012-03-21 17:21 EDT by Og Maciel
Modified: 2014-09-18 11:32 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 805740 (view as bug list)
Environment:
Last Closed: 2012-08-22 14:31:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
yum install log (3.42 KB, text/plain)
2012-03-21 17:23 EDT, Og Maciel
no flags Details

  None (edit)
Description Og Maciel 2012-03-21 17:21:38 EDT
Description of problem:

Basically pulp is failing to generate the metadata for a repo with a filter the second time I promote it. If you run the attached script, by the end of the script, if I register and subscribe a system to this repo, when I try to yum install the filtered package, I get a 404. The correct behavior should be to notify the user that said package does not exist.

Version-Release number of selected component (if applicable):

* candlepin-0.5.26-1.el6.noarch
* candlepin-tomcat6-0.5.26-1.el6.noarch
* katello-0.1.305-1.el6.noarch
* katello-all-0.1.305-1.el6.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.0.4-1.el6.noarch
* katello-cli-0.1.105-1.el6.noarch
* katello-cli-common-0.1.105-1.el6.noarch
* katello-common-0.1.305-1.el6.noarch
* katello-configure-0.1.106-1.el6.noarch
* katello-glue-candlepin-0.1.305-1.el6.noarch
* katello-glue-foreman-0.1.305-1.el6.noarch
* katello-glue-pulp-0.1.305-1.el6.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-0.1.9-1.el6.noarch
* pulp-1.0.0-5.el6.noarch
* pulp-admin-1.0.0-5.el6.noarch
* pulp-client-lib-1.0.0-5.el6.noarch
* pulp-common-1.0.0-5.el6.noarch
* pulp-selinux-server-1.0.0-5.el6.noarch

How reproducible:


Steps to Reproduce:
1. Run the attached script.
2.
3.
  
Actual results:

https://qetello01.usersys.redhat.com/pulp/repos/Juno/Dev1/custom/SystemEngine/Agent/katello-agent-0.16-1.el6.noarch.rpm: [Errno 14] PYCURL ERROR 22 - "The requested URL returned error: 404"
Trying other mirror.

Expected results:


Additional info:

See attached output of yum install command.
Comment 2 Og Maciel 2012-03-21 17:23:15 EDT
Created attachment 571868 [details]
yum install log

yum install log
Comment 3 Og Maciel 2012-03-21 17:25:04 EDT
# pulp-admin -u admin -p ****** task list
Task: c46d8070-7390-11e1-9726-525400e00788
    Job: None
    Scheduler: immediate
    Call: _sync
    Arguments: Moscow-SystemEngine-Agent
    State: finished
    Start time: 2012-03-21T16:02:20-04:00
    Finish time: 2012-03-21T16:02:25-04:00
    Scheduled time: None
    Result: True
    Exception: None
    Traceback: None
Comment 4 Og Maciel 2012-03-21 17:28:15 EDT
First time performing promotions for Dev1:

# md5sum ./Library/custom/SystemEngine/Agent/repodata/primary.xml.gz ./Dev1/custom/SystemEngine/Agent/repodata/primary.xml.gz

9a0300273fea52f490bb5debaa111f4d  ./Library/custom/SystemEngine/Agent/repodata/primary.xml.gz
a1020c8fd2e8f6fc73bb71120867f4af  ./Dev1/custom/SystemEngine/Agent/repodata/primary.xml.gz

Second time performing promotions for Dev1:

# md5sum ./Library/custom/SystemEngine/Agent/repodata/primary.xml.gz ./Dev1/custom/SystemEngine/Agent/repodata/primary.xml.gz

9a0300273fea52f490bb5debaa111f4d  ./Library/custom/SystemEngine/Agent/repodata/primary.xml.gz
9a0300273fea52f490bb5debaa111f4d  ./Dev1/custom/SystemEngine/Agent/repodata/primary.xml.gz
Comment 6 Og Maciel 2012-03-23 16:04:05 EDT
What version of pulp will have this fix?
Comment 9 Og Maciel 2012-04-01 23:52:14 EDT
After sync:
# md5sum ./Library/custom/SystemEngine/Agent/repodata/primary.xml.gz
d109c15670dcdc760215fcc2f8ec010a  ./Library/custom/SystemEngine/Agent/repodata/primary.xml.gz

After Library -> Dev1 promotion:
# md5sum ./Library/custom/SystemEngine/Agent/repodata/primary.xml.gz
d109c15670dcdc760215fcc2f8ec010a  ./Library/custom/SystemEngine/Agent/repodata/primary.xml.gz
# md5sum ./Dev1/custom/SystemEngine/Agent/repodata/primary.xml.gz
8650f99ca7dc08055c0c10dd382b3814  ./Dev1/custom/SystemEngine/Agent/repodata/primary.xml.gz

After Dev1 --> QA1 promotion:
# md5sum ./Library/custom/SystemEngine/Agent/repodata/primary.xml.gzd109c15670dcdc760215fcc2f8ec010a  ./Library/custom/SystemEngine/Agent/repodata/primary.xml.gz
# md5sum ./Dev1/custom/SystemEngine/Agent/repodata/primary.xml.gz
8650f99ca7dc08055c0c10dd382b3814  ./Dev1/custom/SystemEngine/Agent/repodata/primary.xml.gz
# md5sum ./QA1/custom/SystemEngine/Agent/repodata/primary.xml.gz
8650f99ca7dc08055c0c10dd382b3814  ./QA1/custom/SystemEngine/Agent/repodata/primary.xml.gz

After QA1 -> GA1 promotion:
# md5sum ./Library/custom/SystemEngine/Agent/repodata/primary.xml.gzd109c15670dcdc760215fcc2f8ec010a  ./Library/custom/SystemEngine/Agent/repodata/primary.xml.gz
# md5sum ./Dev1/custom/SystemEngine/Agent/repodata/primary.xml.gz8650f99ca7dc08055c0c10dd382b3814  ./Dev1/custom/SystemEngine/Agent/repodata/primary.xml.gz
# md5sum ./QA1/custom/SystemEngine/Agent/repodata/primary.xml.gz8650f99ca7dc08055c0c10dd382b3814  ./QA1/custom/SystemEngine/Agent/repodata/primary.xml.gz
# md5sum ./GA1/custom/SystemEngine/Agent/repodata/primary.xml.gz
8650f99ca7dc08055c0c10dd382b3814  ./GA1/custom/SystemEngine/Agent/repodata/primary.xml.gz

After Library -> Dev1 promotion, second time:
# md5sum ./Library/custom/SystemEngine/Agent/repodata/primary.xml.gz
d109c15670dcdc760215fcc2f8ec010a  ./Library/custom/SystemEngine/Agent/repodata/primary.xml.gz
# md5sum ./Dev1/custom/SystemEngine/Agent/repodata/primary.xml.gz
8650f99ca7dc08055c0c10dd382b3814  ./Dev1/custom/SystemEngine/Agent/repodata/primary.xml.gz
# md5sum ./QA1/custom/SystemEngine/Agent/repodata/primary.xml.gz
8650f99ca7dc08055c0c10dd382b3814  ./QA1/custom/SystemEngine/Agent/repodata/primary.xml.gz
# md5sum ./GA1/custom/SystemEngine/Agent/repodata/primary.xml.gz
8650f99ca7dc08055c0c10dd382b3814  ./GA1/custom/SystemEngine/Agent/repodata/primary.xml.gz
Comment 10 Og Maciel 2012-04-01 23:53:01 EDT
Verified:
* candlepin-0.5.26-1.el6.noarch
* candlepin-tomcat6-0.5.26-1.el6.noarch
* katello-0.1.307-1.el6.noarch
* katello-all-0.1.307-1.el6.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.0.4-1.el6.noarch
* katello-cli-0.1.107-1.el6.noarch
* katello-cli-common-0.1.107-1.el6.noarch
* katello-common-0.1.307-1.el6.noarch
* katello-configure-0.1.107-1.el6.noarch
* katello-glue-candlepin-0.1.307-1.el6.noarch
* katello-glue-foreman-0.1.307-1.el6.noarch
* katello-glue-pulp-0.1.307-1.el6.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-0.1.10-1.el6.noarch
* pulp-1.0.2-1.el6.noarch
* pulp-common-1.0.2-1.el6.noarch
* pulp-selinux-server-1.0.2-1.el6.noarch

Note You need to log in before you can comment on or make changes to this bug.